#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1

%define rel 2

Name:           kmail
Summary:        Email client, supporting POP3 and IMAP mailboxes
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/kmail2/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Gpgmepp)

BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Xml)

# Find KF5 package
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CalendarCore)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5AkonadiContact)
BuildRequires:  cmake(KPim5AkonadiMime)
BuildRequires:  cmake(KPim5CalendarUtils)
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5Ldap)
BuildRequires:  cmake(KPim5MailTransportAkonadi)
BuildRequires:  cmake(KPim5TextEdit)
BuildRequires:  cmake(KPim5KontactInterface)
BuildRequires:  cmake(KPim5Mime)
BuildRequires:  cmake(KPim5Gravatar)
BuildRequires:  cmake(KPim5Libkdepim)
BuildRequires:  cmake(KPim5Libkleo)
BuildRequires:  cmake(KPim5LibKSieve)
BuildRequires:  cmake(KPim5MailCommon)
BuildRequires:  cmake(KPim5MessageCore)
BuildRequires:  cmake(KPim5MessageComposer)
BuildRequires:  cmake(KPim5MessageList)
BuildRequires:  cmake(KPim5MessageViewer)
BuildRequires:  cmake(KF5PimCommonAkonadi)
BuildRequires:  cmake(KPim5TemplateParser)
BuildRequires:  cmake(KPim5Tnef)
BuildRequires:  cmake(KPim5MailTransportDBusService)

BuildRequires:  cmake(KUserFeedback)

Requires:       akonadi-kde
Requires:       akonadi-contacts
Requires:       akonadi-mime
Requires:       kmailtransport
Requires:       kdepim-addons
Requires:       sasl-plug-plain
Requires:       sasl-plug-ntlm
Requires:       sasl-plug-login
Requires:       sasl-plug-digestmd5
Requires:       kio5-pop3
Requires:       kio5-smtp
Requires:       kio5-sieve
Requires:       messagelib
Requires:       baloo
Requires:       kwallet
Requires:       kmail-account-wizard
Requires:       qtwebengine5
Requires:       libkdepim
Requires:       grantlee
Requires:       grantlee-editor
Requires:       pim-data-exporter
Requires:       pim-sieve-editor
Requires:       akonadi-import-wizard

Requires:       pinentry-qt5
Requires:       openssh-askpass-qt5
Recommends:     kmail-handbook
Recommends:     akonadi-calendar-tools
Recommends:     akonadi-calendar-common
Recommends:     sasl2-plugin-kdexoauth2


%description
Email client, supporting POP3 and IMAP mailboxes.

%files -f %name.lang
%_kf5_categoriesdir/kmail.categories
%_kf5_categoriesdir/kmail.renamecategories
%_kf5_bindir/akonadi_archivemail_agent
%_kf5_bindir/akonadi_followupreminder_agent
%_kf5_bindir/akonadi_mailfilter_agent
%_kf5_bindir/akonadi_mailmerge_agent
%_kf5_bindir/akonadi_sendlater_agent
%_kf5_bindir/akonadi_unifiedmailbox_agent
%_kf5_bindir/kmail
%_kf5_bindir/kmail-refresh-settings
%_kf5_datadir/kmail2
%_qt5_plugindir/kmailpart.so
%_qt5_plugindir/pim5/akonadi/config/archivemailagentconfig.so
%_qt5_plugindir/pim5/akonadi/config/followupreminderagentconfig.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_accounts.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_appearance.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_composer.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_misc.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_plugins.so
%_qt5_plugindir/pim5/kcms/kmail/kcm_kmail_security.so
%_qt5_plugindir/pim5/kcms/summary/kcmkmailsummary.so
%_kf5_metainfodir/org.kde.kmail2.appdata.xml
%_kf5_applicationsdir/kmail_view.desktop
%_kf5_applicationsdir/org.kde.kmail-refresh-settings.desktop
%_kf5_knotificationsdir/kmail2.notifyrc
%_kf5_applicationsdir/org.kde.kmail2.desktop
%_kf5_datadir/config.kcfg/kmail.kcfg
%_kf5_datadir/config.kcfg/archivemailagentsettings.kcfg
%_kf5_knotificationsdir/akonadi_archivemail_agent.notifyrc
%_kf5_knotificationsdir/akonadi_mailfilter_agent.notifyrc
%_kf5_knotificationsdir/akonadi_mailmerge_agent.notifyrc
%_kf5_knotificationsdir/akonadi_followupreminder_agent.notifyrc
%_kf5_knotificationsdir/akonadi_sendlater_agent.notifyrc
%_kf5_datadir/akonadi/agents/archivemailagent.desktop
%_kf5_datadir/akonadi/agents/followupreminder.desktop
%_kf5_datadir/akonadi/agents/mailfilteragent.desktop
%_kf5_datadir/akonadi/agents/mailmergeagent.desktop
%_kf5_datadir/akonadi/agents/sendlateragent.desktop
%_kf5_datadir/akonadi/agents/unifiedmailboxagent.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%_kf5_datadir/dbus-1/services/org.kde.kmail.service
%_kf5_iconsdir/*/*/*/*
%_kf5_kxmlguidir/kontactsummary/kontactsummary_part.rc

# Kontact integration
%_qt5_plugindir/pim5/kontact/kontact_kmailplugin.so
%_qt5_plugindir/pim5/kontact/kontact_summaryplugin.so
%_qt5_plugindir/pim5/kcms/summary/kcmkontactsummary.so

#------------------------------------------------------------------------------

%package -n ktnef
Summary:        TNEF Viewer/Extractor
Group:          Networking/Mail

Requires:       kwallet
Recommends:     kmail

%description -n ktnef
A TNEF Viewer/Extractor.

%files -n ktnef
%_kf5_bindir/ktnef
%_kf5_applicationsdir/org.kde.ktnef.desktop
%_kf5_iconsdir/*/*/*/*ktnef*

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{epoch}:%{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%_kf5_docdir/HTML/*/*

#------------------------------------------------------------------------------

%define kmailprivate_major 5
%define libkmailprivate %mklibname kmailprivate %kmailprivate_major

%package -n %libkmailprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkmailprivate
KDEPIM library.

%files -n %libkmailprivate
%_kf5_libdir/libkmailprivate.so.%{kmailprivate_major}{,.*}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev

%cmake_build -j4

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Jun 01 2023 neoclust <neoclust> 2:23.04.1-2.mga9
+ Revision: 1960522
- Remove ktnef installed by default

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959474
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946511
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941804
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922925
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911419
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905271
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886790
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883459
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873086
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853979
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852394
- New version 22.03.90

* Fri Apr 08 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1848126
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)
- rebuild for gpgme 1.17.1
- rebuild for gpgme 1.17.1
+ danf <danf>
- Fix broken URL

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766052
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724078
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1719683
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698563
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694093
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655624
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644010
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633826
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627068
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617391
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604133
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596866
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585781
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569721
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559336
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540915
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513306
- New version 19.12.2
+ wally <wally>
- build with new cmake macros
+ daviddavid <daviddavid>
- compile with -Wno-dev

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466961
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457911
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447877
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425004
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390459
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1389430
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382630
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375625
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365582
- New version 18.12.2

* Sat Feb 02 2019 daviddavid <daviddavid> 2:18.12.1-2.mga7
+ Revision: 1362671
- require akonadi-mime (mga#24296)

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356517
- New version 18.12.1

* Mon Jan 07 2019 daviddavid <daviddavid> 2:18.12.0-3.mga7
+ Revision: 1350769
- requires kmailtransport
- recommends sasl2-plugin-kdexoauth2 (mga#23035)

* Mon Jan 07 2019 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1350741
- requires ktnef, pim-sieve-editor and grantlee-editor

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1344143
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332755
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327409
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298581
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1241713
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201906
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194928
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191180
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143057
- New version 17.08.0

* Fri Aug 11 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139696
- Change recommends into requires for pinentry-qt5 (mga#21222)
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133573
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131815
- New version 17.04.3

* Sat Jun 24 2017 luigiwalser <luigiwalser> 2:16.12.3-2.mga6
+ Revision: 1108346
- add upstream patch to fix CVE-2017-9604

* Thu Mar 09 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090553
- Add missing default requires (mga#20421)
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sun Jan 01 2017 daviddavid <daviddavid> 2:16.12.0-2.mga6
+ Revision: 1079113
- requires kdepim-addons

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1078065
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-7.mga6
+ Revision: 1076140
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-6.mga6
+ Revision: 1076013
- Fix default requires

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-5.mga6
+ Revision: 1075965
- Use pinentry-qt5

* Sat Dec 17 2016 daviddavid <daviddavid> 2:16.11.90-4.mga6
+ Revision: 1075773
- replace dependency messageviewer to messagelib
+ neoclust <neoclust>
- Use new qt5 openssh-askpass

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-3.mga6
+ Revision: 1075303
- Fix kwallet deps

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075055
- Add back requires from old kmail spec file

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075053
- imported package kmail

